signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
remotepluginprocess.h File Reference
`#include <QCoreApplication>`
`#include <QString>`
`#include <QStringList>`
`#include <QDataStream>`
`#include <QByteArray>`
`#include <QVariant>`
`#include <QMap>`
`#include <QIODevice>`
`#include <QFile>`
`#include <QDir>`
`#include <QLibrary>`
`#include <QSocketNotifier>`
`#include <QThread>`
`#include "SignOn/uisessiondata.h"`
`#include "SignOn/authpluginif.h"`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <signal.h>`
Include dependency graph for remotepluginprocess.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | RemotePluginProcessNS::CancelEventThread
| Thread to enable cancel functionality. More...
class | RemotePluginProcessNS::RemotePluginProcess
| Class to execute plugin process. More...

## Namespaces
| SignOn
| RemotePluginProcessNS

## Macros
#define | SIGNOND_PLUGINS_DIR "/usr/lib/signon"
#define | SIGNON_PLUGIN_PREFIX "lib"
#define | SIGNON_PLUGIN_SUFFIX "plugin.so"

## Macro Definition Documentation

#define SIGNON_PLUGIN_PREFIX "lib"

Definition at line 54 of file remotepluginprocess.h.

#define SIGNON_PLUGIN_SUFFIX "plugin.so"

Definition at line 58 of file remotepluginprocess.h.

#define SIGNOND_PLUGINS_DIR "/usr/lib/signon"

Definition at line 50 of file remotepluginprocess.h.